/v1/contacts/{id} (PUT)
PUT
/v1/contacts/{id}
const url = 'https://example.com/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"example","name":"example","lastName":"example","phone":"example","organisationId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","groupIds":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/v1/contacts/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "example", "name": "example", "lastName": "example", "phone": "example", "organisationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "groupIds": [ 1 ] }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body
Section titled “Request Body ”object
email
string
name
string
lastName
string
phone
string
organisationId
string format: uuid
groupIds
Array<integer>
Example generated
{ "email": "example", "name": "example", "lastName": "example", "phone": "example", "organisationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "groupIds": [ 1 ]}object
email
string
name
string
lastName
string
phone
string
organisationId
string format: uuid
groupIds
Array<integer>
Example generated
{ "email": "example", "name": "example", "lastName": "example", "phone": "example", "organisationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "groupIds": [ 1 ]}object
email
string
name
string
lastName
string
phone
string
organisationId
string format: uuid
groupIds
Array<integer>
Example generated
{ "email": "example", "name": "example", "lastName": "example", "phone": "example", "organisationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "groupIds": [ 1 ]}Responses
Section titled “ Responses ”OK